<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission
        android:name="android.permission.READ_EXTERNAL_STORAGE"
        android:maxSdkVersion="32" />
    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        android:maxSdkVersion="32" />
    <uses-permission android:name="android.permission.READ_MEDIA_AUDIO" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />

    <application
        android:name="com.fun.pranksounds.com.fun.wave.pranksounds.utils.App"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.FunnyAudio"
        tools:targetApi="31">

        <activity
            android:name="com.fun.pranksounds.com.fun.wave.pranksounds.activity.AcPlayPranks"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.fun.pranksounds.com.fun.wave.pranksounds.activity.AcCategoryList"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.fun.pranksounds.com.fun.wave.pranksounds.activity.AcMain"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.fun.pranksounds.com.fun.wave.pranksounds.custom.AcSave"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.fun.pranksounds.com.fun.wave.pranksounds.custom.AcRecording"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.fun.pranksounds.com.fun.wave.pranksounds.activity.AcSplashUi"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Welcome">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
    </application>

</manifest>